flow123d_version: 2.0.0
problem: !Coupling_Sequential
  time: &anchor2
    end_time: 2.59E+07   #14428800       # 500000       #14428800
    max_dt: 172800 #172800  #50000
    min_dt: 172800   # 86400 #172800
  description: GREET 2D rez podel galerie s puklinami
  mesh:
#    mesh_file: ./input/geo30m.msh 
#    mesh_file: ./input/geo35m.msh 
#    mesh_file: ./input/geo40m.msh 
    mesh_file: ./input/2D.msh
#    mesh_file: ./input/aaa.msh
    regions:
      - !Union
        name: .gallery
        regions:
          - .gallery1
          - .gallery2
          - .gallery3
          - .gallery4
          - .point1
          - .point2
          - .point3
      - !Union
        name: rockk
        regions:
          - rock1
          - rock2
          - rock3
          - rock4
          - rock
      - !Union
        name: fracture
        regions:
          - fracture1
          - fracture2
          - fracture3
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        r_tol: 1.0e-10
        a_tol: 1.0e-10
    n_schurs: 2
    input_fields:
      - region: ALL
        init_pressure: 300 
      - region: .gallery
        bc_type: total_flux
        bc_pressure: 0
        bc_robin_sigma: !FieldFormula
          value: if((t/14342400)*106<x,1e-12,1e12)
      - region: .out
        bc_type: dirichlet
        bc_piezo_head: 300
      - region: fracture
        conductivity: 1.0E-12
        storativity: 1.0E-6
      - region: rockk
        conductivity: 1.0E-12
        storativity: 1.0E-6
    balance: {}
    output:
      fields:
        - piezo_head_p0
        - pressure_p0
        - pressure_p1
        - velocity_p0 
      observe_fields: [ piezo_head_p0, pressure_p0, velocity_p0 ]
    balance:
      cumulative: true
    time: *anchor2
    output_stream: 
      file: ./test1.msh
      format: !gmsh
        variant: ascii
      times:
        - step: 172800 #50000
      name: flow_output_stream
      observe_points:
        - [1,60,0]#bod1
        - [10,60,0]#bod2
        - [20,60,0]#bod3
        - [30,60,0]#bod4
        - [40,60,0]#bod5
        - [50,60,0]#bod6
        - [60,60,0]#bod7
        - [70,60,0]#bod8
        - [80,60,0]#bod9
        - [90,60,0]#bod10
        - [100,60,0]#bod11
        - [110,60,0]#bod12
        - [120,60,0]#bod13
        - [130,60,0]#bod14
        - [140,60,0]#bod15
        - [149,60,0]#bod16

